Issues
An Issue is a logical collection of Trace Events. Each Trace Event that is received from a device has a unique Signature. These Signatures are used to group Events into Issues.
Request Schema
No write access for Issues at the moment. They are automatically populated by sending Traces to the server.
Query Parameters
The following parameters can be used to filter Issues.
| Query Parameter | Type | Description |
|---|---|---|
status | String[] | Status of the Issues to query for Example: status=open&status=resolved |
title | String | Search through the title field, using a basic search (where * is a wildcard) Example: *fault* |
last_seen_since | DateTime | Last seen after this date Example: "2019-01-19T05:01:13.000000+00:00" |
last_seen_until | DateTime | Last seen before this date Example: "2019-01-19T05:01:13.000000+00:00" |
first_seen_since | DateTime | First seen after this date Example: "2019-01-19T05:01:13.000000+00:00" |
first_seen_until | DateTime | First seen before this date Example: "2019-01-19T05:01:13.000000+00:00" |
min_device_count | Number | Minimum device count |
min_crash_count | Number | Minimum crash count |
signature | String[] | List of signatures of the Crash Example: c7f929860131738beaed6dc626565ce1671d31a6e1e9fa3b90c28271e26610c9 |
Sort Parameters
| Sort Parameter | Type | Description |
|---|---|---|
last_seen | DateTime | Date the Event was received by Memfault |
first_seen | DateTime | Date the Event was recorded on the Device NOTE: will equal received_date if empty |
device_count | Number | Number of unique Devices that have experienced this Issue |
trace_count | Number | Number of Traces that have been grouped with this Issue |
Response Schema
{
"data": {
"id": 1,
"created_date": "2019-04-14T01:18:06.511100+00:00",
"updated_date": "2019-04-14T01:18:06.541363+00:00",
"status": "open",
"title": "Assert at timeout_handler_exec",
"message": "",
"resolution": null,
"signature": "c7f929860131738beaed6dc626565ce1671d31a6e1e9fa3b90c28271e26610c9",
"counts": [
5,
12,
15,
15,
4,
7,
4,
10,
15,
10,
10,
13,
9,
15,
6,
4,
10,
3,
9,
9,
12,
15,
15,
3
],
"device_count": 3,
"trace_count": 3,
"distribution": {
"hardware_version": [
{
"count": 13,
"version": "qq_pvt"
},
{
"count": 9,
"version": "xx_evt"
}
],
"sw_version": [
{
"count": 13,
"version": "0.9"
},
{
"count": 7,
"version": "1.0.0"
},
{
"count": 9,
"version": "1.0.1"
}
]
},
"first_seen": "2019-04-14T01:18:04.052556+00:00",
"last_seen": "2019-04-14T01:18:04.055885+00:00",
"first_release": {
"id": 2,
"version": "1.0.0",
"revision": "4e57be871d1bd83d5d9592daf8e1d20c2fc66382"
},
"last_release": {
"id": 2,
"version": "1.0.0",
"revision": "4e57be871d1bd83d5d9592daf8e1d20c2fc66382"
},
"last_trace": {
"id": 3,
"created_date": "2019-04-14T01:18:04.055867+00:00",
"captured_date": "2019-04-14T01:18:04.055885+00:00",
"received_date": "2019-04-14T01:18:04.055881+00:00",
"title": "Assert at timeout_handler_exec",
"message": "",
"reason": "Assert",
"signature": "c7f929860131738beaed6dc626565ce1671d31a6e1e9fa3b90c28271e26610c9",
"context": "",
"release": {
"id": 2,
"version": "1.0.0",
"revision": "4e57be871d1bd83d5d9592daf8e1d20c2fc66382"
},
"device": {
"device_serial": "FB11014FCE12616D",
"hardware_version": "proto",
"id": 43
},
"entries": {
"faults": {
"notes": [],
"registers": [
{
"name": "CFSR",
"value": 0
},
{
"name": "HFSR",
"value": 0
},
{
"name": "SHCSR",
"value": 0
}
]
},
"threads": [
{
"tid": 1,
"name": "Thread 1",
"current": false,
"crashed": false,
"reporting": false,
"registers": [
{
"name": "r0",
"value": 537122332
},
{
"name": "r1",
"value": 559170130
},
{
"name": "r2",
"value": 3758157060
},
{
"name": "r3",
"value": 2147485729
},
{
"name": "r4",
"value": 330
},
{
"name": "r5",
"value": 0
},
{
"name": "r6",
"value": 536895384
},
{
"name": "r7",
"value": 0
},
{
"name": "r8",
"value": 537122568
},
{
"name": "r9",
"value": 0
},
{
"name": "r10",
"value": 573785173
},
{
"name": "r11",
"value": 17
},
{
"name": "r12",
"value": 0
},
{
"name": "sp",
"value": 537122328
},
{
"name": "lr",
"value": 226689
},
{
"name": "pc",
"value": 226574
},
{
"name": "cpsr",
"value": 16777249
}
],
"stacktrace": [
{
"address": 226574,
"arguments": {
"lr": "<optimized out>",
"pc": "<optimized out>",
"extra": "<optimized out>"
},
"context": [],
"file": "/Users/chrisc/dev/memfault/sdk/embedded/src/memfault_fault_handling.c",
"frame_size": 24,
"frame_type": "normal",
"function": "memfault_reboot_tracking_assert_handler",
"index": 0,
"lineno": 171,
"locals": {
"info": "{\n reason = kMfltRebootReason_Assert, \n pc = 159568, \n lr = 180385\n}"
}
},
{
"address": 180384,
"arguments": {
"p_timer": "<optimized out>"
},
"context": [],
"file": "../nrf5_sdk/components/libraries/timer/app_timer.c",
"frame_size": 0,
"frame_type": "inline",
"function": "timeout_handler_exec",
"index": 1,
"lineno": 440,
"locals": {
"p_timer": "<optimized out>"
}
},
{
"address": 180384,
"arguments": null,
"context": [],
"file": "../nrf5_sdk/components/libraries/timer/app_timer.c",
"frame_size": 0,
"frame_type": "inline",
"function": "timer_timeouts_check",
"index": 2,
"lineno": 440,
"locals": {
"p_previous_timer": "<optimized out>",
"p_timer": "0x20005f98 <m_mflt_metric_log_timer_data>",
"ticks_elapsed": "0",
"ticks_expired": "330"
}
},
{
"address": 180384,
"arguments": null,
"context": [],
"file": "../nrf5_sdk/components/libraries/timer/app_timer.c",
"frame_size": 24,
"frame_type": "normal",
"function": "RTC1_IRQHandler",
"index": 3,
"lineno": 917,
"locals": null
},
{
"address": 4294967273,
"arguments": null,
"context": [],
"file": null,
"frame_size": 32,
"frame_type": "sigtramp",
"function": "<signal handler called>",
"index": 4,
"lineno": null,
"locals": null
},
{
"address": 89946,
"arguments": null,
"context": [],
"file": null,
"frame_size": 0,
"frame_type": "normal",
"function": null,
"index": 5,
"lineno": null,
"locals": null
},
{
"address": 89944,
"arguments": null,
"context": [],
"file": null,
"frame_type": "normal",
"function": null,
"index": 6,
"lineno": null,
"locals": null
}
]
}
]
}
}
}
}
List Issues
List all **Issues** for a given **Project**
Retrieve an Issue
Retrieve a single **Issue**
Update an Issue
Update a single **Issue**
Delete an Issue
Delete a single **Issue**